%define		_state		stable
%define		orgname		kalzium

Summary:	K Desktop Environment - A Periodic System of Elements database
Summary(pl.UTF-8):	K Desktop Environment - Baza danych Układu Okresowego Pierwiastków
Name:		kde4-kalzium
Version:	4.14.3
Release:	1
License:	GPL
Group:		X11/Applications/Science
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	f773692c7e58567a27d8129f0cc39d5c
URL:		http://www.kde.org/
BuildRequires:	avogadro-devel
BuildRequires:	boost-python-devel
BuildRequires:	eigen
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	ocaml
BuildRequires:	ocaml-facile
BuildRequires:	ocaml-runtime
BuildRequires:	openbabel-devel
Obsoletes:	kalzium < 4.8.0
Obsoletes:	kde4-kdeedu-kalzium < 4.6.99
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Periodic System of Elements database. Kalzium provides you with all
kind of information about the PSE (Periodic System of Elements.) You
can lookup lots of information about the elements and also use
visualizations to show them.

%description -l pl.UTF-8
Baza danych Układu Okresowego Pierwiastków. Kalzium dostarcza wszelkie
informacje dotyczące UOP, informacje o pierwiastkach oraz ich
wizualizacje.

%package devel
Summary:	kalzium development files
Summary(pl.UTF-8):	Pliki dla programistów kalzium
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kalzium-devel < 4.8.0

%description devel
kalzium development files.

%description devel -l pl.UTF-8
Pliki dla programistów kalzium.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kalzium
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_kalzium.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_didyouknow.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_molmassCalculator.so
%attr(755,root,root) %{_libdir}/kde4/concentrationCalculator.so
%attr(755,root,root) %{_libdir}/kde4/gasCalculator.so
%attr(755,root,root) %{_libdir}/kde4/nuclearCalculator.so

%attr(755,root,root) %ghost %{_libdir}/libcompoundviewer.so.?
%attr(755,root,root) %{_libdir}/libcompoundviewer.so.*.*.*

%attr(755,root,root) %ghost %{_libdir}/libscience.so.?
%attr(755,root,root) %{_libdir}/libscience.so.*.*.*

%{_datadir}/appdata/kalzium.appdata.xml
%{_datadir}/apps/desktoptheme/default/widgets/chalkboard.svg
%{_datadir}/apps/kalzium
%{_datadir}/config/kalzium.knsrc
%{_datadir}/config.kcfg/kalzium.kcfg
%{_datadir}/kde4/services/plasma-dataengine-kalzium.desktop
%{_datadir}/kde4/services/plasma_didyouknow.desktop
%{_datadir}/kde4/services/concentrationCalculator.desktop
%{_datadir}/kde4/services/gasCalculator.desktop
%{_datadir}/kde4/services/nuclearCalculator.desktop
%{_datadir}/kde4/services/plasma-applet-Molmasscalculator.desktop
%{_datadir}/apps/libkdeedu
%{_desktopdir}/kde4/kalzium.desktop
%{_desktopdir}/kde4/kalzium_cml.desktop
%{_iconsdir}/hicolor/scalable/apps/kalzium.svgz
%{_iconsdir}/hicolor/*x*/apps/kalzium.png
%{_mandir}/man1/kalzium.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/libkdeedu
%attr(755,root,root) %{_libdir}/libcompoundviewer.so
%attr(755,root,root) %{_libdir}/libscience.so
%changelog
* Fri Nov 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kalzium.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 76d9246
- updated to 4.14.3 (by update-kde4.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d16a87b
- updated to 4.14.0
- packaged appdata file

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 24dc75e
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 51b59df
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1212794
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c706a96
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ba4f03f
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7b0a57c
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4a090d9
- updated to 4.12.1 (by update-kde4.sh)

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 8ae9b13
- 4.12.0; BR boost-python-devel

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 4533bfa
- updated to 4.10.4 (by update-kde4.sh)

* Sun Feb 17 2013 Jan Rękorajski <baggins@pld-linux.org> 967b275
- updated files, adapter

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 327c542
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> ad2c4b3
- updated to 4.9.4

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 54afab0
- fix invalid pl locale

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> ff51ea2
- updated to 4.9.1.

* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> 52785b4
- updated to 4.9.0.

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 36316a4
- up to 4.8.0; now as kde4-kalzium

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ba64324
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 93a26c9
- rel 3

